> For the complete documentation index, see [llms.txt](https://docs.silicon.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.silicon.network/builders/opencohort/framework/developer/airdrop/reward-type.md).

# Reward Type

This page outlines the amount receivable for each of the four RewardTypes supported by Airdrop in OpenCohort.

## Weight

* Calculated based on the same snapshot.
* **Token amount receivable**: (Recipient’s `weight` within the snapshot) / (`totalWeight` of the snapshot ) \* (`totalAmount` of airdropped tokens)
* **Total eligible recipients**: `totalCount` of the snapshot (all Merkle Tree leaves)

## Count

* Calculated based on the same snapshot.
* **Token amount receivable**: (`totalAmount` of airdropped tokens) / (`totalCount` of the snapshot)
* **Total eligible recipients**: `totalCount` of the snapshot (all Merkle Tree leaves)

## Constant

* Calculated based on the same snapshot.
* **Token amount receivable**: A fixed amount of `amountPer` for each recipient
* **Total eligible recipients**: Up to `totalAmount / amountPer` of the first Merkle Tree leaves are eligible to receive tokens.
  * The first `totalAmount` / `amountPer` leaves in the Merkle Tree
* If the total number of cohort users is smaller than `totalAmount / amountPer`, then effectively every user receives tokens, making it function similarly to the **Count** type.

## Unit

* Calculated based on each user's activity (weight) in the latest snapshot.
* **Token Amount Receivable**: Users receive tokens in "amountPer" units based on their weight in the snapshot.
  * (`amountPer` of the Airdrop) \* (Recipient’s `weight` within the snapshot)
* **Total Eligible Recipients**: Determined on a first-come, first-served basis, but the exact number of eligible recipients isn’t fixed.
  * Total receivable weight: (`totalAmount` of airdropped tokens) / `amountPer`
* In this type, if a user’s weight increases, they may claim additional tokens according to their **added weight**\*`amountPer`.&#x20;
* However, if a user’s weight decreases, it does not reduce their previously claimed amount.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.silicon.network/builders/opencohort/framework/developer/airdrop/reward-type.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
